# OpenMMException Class Reference

This class is used for all exceptions thrown by OpenMM. More...

Inherits simtk::openmm::openmm::_object.

List of all members.

## Public Member Functions

def | __del__
| __del__(self)
def | what
| what(self) -> char
def | __init__
| __init__(self, string message) -> OpenMMException __init__(self, OpenMMException other) -> OpenMMException

## Public Attributes

| this

## Detailed Description

This class is used for all exceptions thrown by OpenMM.

## Member Function Documentation

def __del__ | ( |  | self | ) |

__del__(self)

def __init__ | ( |  | self,
|  |  | args |
| ) |  |  |

__init__(self, string message) -> OpenMMException __init__(self, OpenMMException other) -> OpenMMException

def what | ( |  | self | ) |

what(self) -> char

## Member Data Documentation

this

The documentation for this class was generated from the following file:

- openmm.py